Bino(1)

NAME
Bino - a 3D video player with multi-display support.

SYNOPSIS
bino [option...] [file-0] [file-1] [file-2]

DESCRIPTION
Bino plays stereoscopic videos, also known as 3D videos. Such videos have separate views for the left and right eye and thus allow depth perception through stereopsis.
The input streams can be in any number of input files. The files are decoded with the FFmpeg libraries, so URLs are supported.

--help
    Print help.

--version
    Print version.

-n|--no-gui
    Do not use the GUI, just play the given input in a plain window using the parameters given on the command line.

-l|--log-level=LEVEL
    Select log level: debug, info, warning, error, or quiet.

-v|--video=STREAM
    Select video stream (1-n, depending on the input).

-a|--audio=STREAM
    Select audio stream (1-n, depending on the input).

-i|--input=TYPE
    Select input type.

    mono
        Single view.

    separate-left-right
        Left/right view in separate streams, left first.

    separate-right-left
        Left/right view in separate streams, right first.

    top-bottom
        Left view top, right view bottom.

    top-bottom-half
        Left view top, right view bottom, half height.

    bottom-top
        Left view bottom, right view top.

    bottom-top-half
        Left view bottom, right view top, half height.

    left-right
        Left view left, right view right.

    left-right-half
        Left view left, right view right, half width.

    right-left
        Left view right, right view left.

    right-left-half
        Left view right, right view left, half width.

    even-odd-rows
        Left view even rows, right view odd rows.

    odd-even-rows
        Left view odd rows, right view even rows.

    The default is to autodetect the input type from meta data stored in the file. If this fails, Bino tries to autodetect the input type based on the file name, by looking at the last part of the file name before the file name extension (.ext). If that fails, too, Bino guesses based on the resolution of the input.
    The following file name forms are recognized:

    *-lr.ext
        left-right

    *-lrh.ext or *-lrq.ext
        left-right-half

    *-rl.ext
        left-right swapped

    *-rlh.ext or *-rlq.ext
        left-right-half swapped

    *-tb.ext or *-ab.ext
        top-bottom

    *-tbh.ext or *-abq.ext
        top-bottom-half

    *-bt.ext or *-ba.ext
        top-bottom swapped

    *-bth.ext or *-baq.ext
        top-bottom-half swapped

    *-eo.ext or *-eoq.ext or *-3dir.ext
        even-odd-rows

    *-oe.ext or *-oeq.ext or *-3di.ext
        even-odd-rows swapped

    *-2d.ext
        mono

-o|--output=TYPE
    Select output type.

    mono-left
        Left view only.

    mono-right
        Right view only.

    top-bottom
        Left view top, right view bottom.

    top-bottom-half
        Left view top, right view bottom, half height.

    left-right
        Left view left, right view right.

    left-right-half
        Left view left, right view right, half width.

    even-odd-rows
        Left view even rows, right view odd rows.

    even-odd-columns
        Left view even columns, right view odd columns.

    checkerboard
        Left and right view in checkerboard pattern.

    red-cyan-monochrome
        Red/cyan anaglyph, monochrome method.

    red-cyan-half-color
        Red/cyan anaglyph, half color method.

    red-cyan-full-color
        Red/cyan anaglyph, full color method.

    red-cyan-dubois
        Red/cyan anaglyph, high-quality Dubois method.

    green-magenta-monochrome
        Green/magenta anaglyph, monochrome method.

    green-magenta-half-color
        Green/magenta anaglyph, half color method.

    green-magenta-full-color
        Green/magenta anaglyph, full color method.

    green-magenta-dubois
        Green/magenta anaglyph, high-quality Dubois method.

    amber-blue-monochrome
        Amber/blue anaglyph, monochrome method.

    amber-blue-half-color
        Amber/blue anaglyph, half color method.

    amber-blue-full-color
        Amber/blue anaglyph, full color method.

    amber-blue-dubois
        Amber/blue anaglyph, high-quality Dubois method.

    red-green-monochrome
        Red/green anaglyph, monochrome method.

    red-blue-monochrome
        Red/blue anaglyph, monochrome method.

    stereo
        OpenGL quad-buffer stereo.

    equalizer
        Multi-display OpenGL via Equalizer with a 2D canvas setup.

    equalizer-3d
        Multi-display OpenGL via Equalizer with a 3D screen setup.

    For stereo input, the default is stereo if the display supports it, otherwise red-cyan-dubois. The default for mono input is mono-left.

-s|--swap-eyes
    Swap left/right view.

-f|--fullscreen
    Fullscreen.

-c|--center
    Center window on screen.

-P|--parallax=VAL
    Parallax adjustment (-1 to +1).

-C|--crosstalk=VAL
    Crosstalk leak level (0 to 1). Comma-separated values for the R,G,B channels.

-G|--ghostbust=VAL
    Amount of crosstalk ghostbusting to apply (0 to 1).

-b|--benchmark
    Benchmark mode: no audio, no time synchronization, output of frames-per-second measurements.

INTERACTIVE CONTROL

q or ESC
    Quit.

p or SPACE
    Pause / unpause.

f   Toggle fullscreen.

c   Center window.

s   Swap left/right view.

v   Cycle through available video streams.

a   Cycle through available audio streams.

1, 2
    Adjust contrast.

3, 4
    Adjust brightness.

5, 6
    Adjust hue.

7, 8
    Adjust saturation.

<, >
    Adjust parallax.

(, )
    Adjust ghostbusting.

left, right
    Seek 10 seconds backward / forward.

up, down
    Seek 1 minute backward / forward.

page up, page down
    Seek 10 minutes backward / forward.

Mouse click
    Seek according to the horizontal click position.

AUTHORS
The Bino developers.

SEE ALSO
mplayer(1), ffmpeg(1)